GET
/v1/write-syncsbetaapiKeyworkspace
When to use
Find saved directional syncs in a workspace.
For agents
Only syncs with readable sources and destinations are returned. Authoring uses REST or the SDK; these controls are not exposed through MCP.
Example
import { PermuteClient } from '@permute/sdk';
const orgClient = new PermuteClient({
apiKey: process.env.PERMUTE_API_KEY!,
});
const client = orgClient.withWorkspace(process.env.PERMUTE_WORKSPACE_ID!);
const result = await client.writeSyncs.list();Response
{
"data": {
"items": [
{
"id": "wsyn_contacts123",
"name": "Contacts → Quo contacts",
"definition": {
"source": {
"resourceId": "oper_contacts123",
"object": "contacts",
"scope": ""
},
"destination": {
"resourceId": "conn_quo123",
"object": "contacts",
"scope": ""
},
"input": {
"type": "operation",
"operationId": "oper_contacts123",
"revisionId": "rvsn_contacts123",
"table": "contacts"
},
"keyColumn": "email",
"fields": {
"emails": "email",
"firstName": "first_name",
"lastName": "last_name"
}
},
"version": 1,
"isEnabled": false,
"createdAt": "2026-09-30T12:00:00.000Z",
"updatedAt": "2026-09-30T12:00:00.000Z"
}
]
}
}